import express from "express";
import { getMeById, getMyTotp, transferOwnership, updateMe, verifyMyTotp } from "../controller/userController";

var router = express.Router({ mergeParams: true });

router.get("/me", async (req, res) => {
  await getMeById(req, res);
});

router.get("/totp", async (req, res) => {
  await getMyTotp(req, res);
});

router.post("/verify", async (req, res) => {
  await verifyMyTotp(req, res);
});

router.put("/transferOwner", async (req, res) => {
  await transferOwnership(req, res);
});

router.patch("/me", async (req, res) => {
  await updateMe(req, res);
});

export default router;
